Skip to content
Docs

Update Firewall Configuration

PATCHhttps://api.vercel.com/v1/security/firewall/config
Process updates to modify the existing firewall config for a project
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.security.updateFirewallConfig({
projectId: "<id>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {
action: "ip.remove",
id: "<id>",
},
});
console.log(result);
}
run();
Response
"value"
AuthorizationbearerToken

Default authentication mechanism

projectIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
actionstringRequired
idobjectOptional
valueobjectRequired
200Success
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402Error
403You do not have permission to access this resource.
404Error
410Error
500Error